package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 *
 * @author fdh
 */
public class PreDealLogInfoDTO implements Serializable {
    /**
     *
     */
    private Integer id;

    /**
     * 企业微信id
     */
    private String wxEnterpriseId;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 数据id
     */
    private String dataId;

    private String dataCode;
    /**
     * 数据名称
     */
    private String dataName;

    /**
     * 父dataid
     */
    private String pDataId;
    /**
     * 数据分组
     */
    private String chainName;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 数据类型 0 分组 1门店 2成员
     */
    private Integer dataType;

    /**
     * 状态 0 未同步 1同步完成 2 同步失败
     */
    private Integer statusFlag;

    private String dataContent;

    private String reason;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public String getDataContent() {
        return dataContent;
    }

    public void setDataContent(String dataContent) {
        this.dataContent = dataContent;
    }

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getChainName() {
        return chainName;
    }

    public void setChainName(String chainName) {
        this.chainName = chainName;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.id
     *
     * @return the value of tab_haoban_pre_deal_log.id
     */
    public Integer getId() {
        return id;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.id
     *
     * @param id the value for tab_haoban_pre_deal_log.id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.wx_enterprise_id
     *
     * @return the value of tab_haoban_pre_deal_log.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_pre_deal_log.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.data_id
     *
     * @return the value of tab_haoban_pre_deal_log.data_id
     */
    public String getDataId() {
        return dataId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.data_id
     *
     * @param dataId the value for tab_haoban_pre_deal_log.data_id
     */
    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.p_data_id
     *
     * @return the value of tab_haoban_pre_deal_log.p_data_id
     */
    public String getpDataId() {
        return pDataId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.p_data_id
     *
     * @param pDataId the value for tab_haoban_pre_deal_log.p_data_id
     */
    public void setpDataId(String pDataId) {
        this.pDataId = pDataId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.task_id
     *
     * @return the value of tab_haoban_pre_deal_log.task_id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.task_id
     *
     * @param taskId the value for tab_haoban_pre_deal_log.task_id
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.data_type
     *
     * @return the value of tab_haoban_pre_deal_log.data_type
     */
    public Integer getDataType() {
        return dataType;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.data_type
     *
     * @param dataType the value for tab_haoban_pre_deal_log.data_type
     */
    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.status_flag
     *
     * @return the value of tab_haoban_pre_deal_log.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.status_flag
     *
     * @param statusFlag the value for tab_haoban_pre_deal_log.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.create_time
     *
     * @return the value of tab_haoban_pre_deal_log.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.create_time
     *
     * @param createTime the value for tab_haoban_pre_deal_log.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_pre_deal_log.update_time
     *
     * @return the value of tab_haoban_pre_deal_log.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_pre_deal_log.update_time
     *
     * @param updateTime the value for tab_haoban_pre_deal_log.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}